<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
Cursor..::.MoveNextDuplicateMultipleKey Method (Int32, LockingInfo)
Cursor Class See Also Send Feedback

If the next key/data pair of the database is a duplicate data record for the current key/data pair, move the cursor to the next key/data pair in the database, and store that pair and as many duplicate data items that can fit in a buffer the size of BufferSize in CurrentMultipleKey. MoveNextDuplicateMultipleKey returns false if the next key/data pair of the database is not a duplicate data record for the current key/data pair.

Namespace: BerkeleyDB
Assembly: libdb_dotnet181 (in libdb_dotnet181.dll) Version: 18.1.32.0

# Syntax

C#

    public bool MoveNextDuplicateMultipleKey(
    	int BufferSize,
    	LockingInfo info
    )

Visual Basic (Declaration)

    Public Function MoveNextDuplicateMultipleKey ( _
    	BufferSize As Integer, _
    	info As LockingInfo _
    ) As Boolean

Visual C++

    public:
    bool MoveNextDuplicateMultipleKey(
    	int BufferSize,
    	LockingInfo^ info
    )

#### Parameters

BufferSize
  Type: System..::.Int32
  The size of a buffer to fill with key/data pairs. Must be at least the page size of the underlying database and be a multiple of 1024.

info
  Type: BerkeleyDB..::.LockingInfo
  The locking behavior to use.

#### Return Value

True if the cursor was positioned successfully, false otherwise.

# See Also

Cursor Class
MoveNextDuplicateMultipleKey Overload
BerkeleyDB Namespace